mmpose.apis
-------------
.. automodule:: mmpose.apis
    :members:

mmpose.codecs
-------------
.. automodule:: mmpose.codecs
    :members:

mmpose.models
---------------
backbones
^^^^^^^^^^^
.. automodule:: mmpose.models.backbones
    :members:

necks
^^^^^^^^^^^
.. automodule:: mmpose.models.necks
    :members:

detectors
^^^^^^^^^^^
.. automodule:: mmpose.models.pose_estimators
    :members:

heads
^^^^^^^^^^^^^^^
.. automodule:: mmpose.models.heads
    :members:

losses
^^^^^^^^^^^
.. automodule:: mmpose.models.losses
    :members:

misc
^^^^^^^^^^^
.. automodule:: mmpose.models.utils
    :members:

mmpose.datasets
-----------------
.. automodule:: mmpose.datasets
    :members:

datasets
^^^^^^^^^^^
.. automodule:: mmpose.datasets.datasets.base
    :members:
    :noindex:

.. automodule:: mmpose.datasets.datasets.body
    :members:
    :noindex:

.. automodule:: mmpose.datasets.datasets.face
    :members:
    :noindex:

.. automodule:: mmpose.datasets.datasets.hand
    :members:
    :noindex:

.. automodule:: mmpose.datasets.datasets.animal
    :members:
    :noindex:

.. automodule:: mmpose.datasets.datasets.fashion
    :members:
    :noindex:

transforms
^^^^^^^^^^^
.. automodule:: mmpose.datasets.transforms.loading
    :members:

.. automodule:: mmpose.datasets.transforms.common_transforms
    :members:

.. automodule:: mmpose.datasets.transforms.topdown_transforms
    :members:

.. automodule:: mmpose.datasets.transforms.bottomup_transforms
    :members:

.. automodule:: mmpose.datasets.transforms.formatting
    :members:

mmpose.structures
---------------
.. automodule:: mmpose.structures
    :members:

bbox
^^^^^^^^^^^
.. automodule:: mmpose.structures.bbox
    :members:

keypoint
^^^^^^^^^^^
.. automodule:: mmpose.structures.keypoint
    :members:


mmpose.registry
---------------
.. automodule:: mmpose.registry
    :members:

mmpose.evaluation
-----------------
metrics
^^^^^^^^^^^
.. automodule:: mmpose.evaluation.metrics
    :members:

functional
^^^^^^^^^^^
.. automodule:: mmpose.evaluation.functional
    :members:

mmpose.visualization
--------------------
.. automodule:: mmpose.visualization
    :members:

mmpose.engine
---------------
hooks
^^^^^^^^^^^
.. automodule:: mmpose.engine.hooks
    :members:
